package org.xbib.logging.test;

import org.junit.jupiter.api.Test;
import org.xbib.logging.ExtLogRecord;
import org.xbib.logging.Level;

public final class ExtLogRecordTests {

    public ExtLogRecordTests() {
    }

    @Test
    public void checkForLongThreadIdRegression() {
        ExtLogRecord rec = new ExtLogRecord(Level.INFO, "Hello world!", ExtLogRecordTests.class.getName());
        // expect this to not blow up
        rec.setLongThreadID(1234);
    }
}
